module MainClock(
	input osc_clk,
	output reg outClk);
	
	integer c_delay ;
	
	always @(posedge osc_clk)
	begin
		c_delay <= c_delay + 1 ;
		
		if(c_delay >= 2000000)
		begin
			outClk <= !outClk;
			c_delay <= 0;
		end
	end
	
endmodule